Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.element
Interface IScriptStyleDesign

    public interface IScriptStyleDesign

Represents the design time style for a report element in the scripting environment

Method Summary
`boolean` | `canShrink()` Tests whether the section can shrink if the actual content is smaller than the design size.
`java.lang.String` | `getBackgroundAttachment()` Returns a background attachment as a string.
`java.lang.String` | `getBackgroundColor()` Get the background color.
`java.lang.String` | `getBackgroundImage()` Returns the address of the background image.
`java.lang.String` | `getBackGroundPositionX()` Get the x position for the background.
`java.lang.String` | `getBackGroundPositionY()` Get the y position for the background.
`java.lang.String` | `getBackgroundRepeat()` Returns the pattern of the repeat for a background image.
`java.lang.String` | `getBorderBottomColor()` Get the color of the bottom side of the border.
`java.lang.String` | `getBorderBottomStyle()` Returns the style of the bottom line of the border.
`java.lang.String` | `getBorderBottomWidth()` Get the width of the bottom side of the border.
`java.lang.String` | `getBorderLeftColor()` Get the color of the left side of the border.
`java.lang.String` | `getBorderLeftStyle()` Returns the style of the left line of the border.
`java.lang.String` | `getBorderLeftWidth()` Get the width of left side of the border.
`java.lang.String` | `getBorderRightColor()` Get the color of the right side of the border.
`java.lang.String` | `getBorderRightStyle()` Returns the style of the right line of the border.
`java.lang.String` | `getBorderRightWidth()` Get the width of right side of the border.
`java.lang.String` | `getBorderTopColor()` Get the color of the top side of the border.
`java.lang.String` | `getBorderTopStyle()` Returns the style of the top line of the border.
`java.lang.String` | `getBorderTopWidth()` Get the width of the top side of the border.
`java.lang.String` | `getColor()` Get the font color.
`java.lang.String` | `getDateTimeFormat()` Returns the pattern of the date-time-format.
`java.lang.String` | `getDateTimeFormatCategory()` Returns the category of the date-time-format.
`java.lang.String` | `getDisplay()` Returns the value that specifies if a top-level element should be a block or in-line element.
`java.lang.String` | `getFontFamily()` Get the font family.
`java.lang.String` | `getFontSize()` Get the font size.
`java.lang.String` | `getFontStyle()` Returns the style of the font.
`java.lang.String` | `getFontVariant()` Returns the variant of the font.
`java.lang.String` | `getFontWeight()` Get the weight of the font.
`java.lang.String` | `getLetterSpacing()` Get the spacing between individual letters.
`java.lang.String` | `getLineHeight()` Get the height of a line.
`java.lang.String` | `getMarginBottom()` Get the margin of the bottom side.
`java.lang.String` | `getMarginLeft()` Get the margin of the left side.
`java.lang.String` | `getMarginRight()` Get the margin of the right side.
`java.lang.String` | `getMarginTop()` Get the margin of the top side.
`java.lang.String` | `getMasterPage()` Returns the name of the master page on which to start this section.
`java.lang.String` | `getNumberFormat()` Returns the pattern of a number format for a style.
`java.lang.String` | `getNumberFormatCategory()` Returns the category of a number format for a style.
`java.lang.String` | `getOrphans()` Returns the value of orphans.
`java.lang.String` | `getPaddingBottom()` Get the padding of the bottom side.
`java.lang.String` | `getPaddingLeft()` Get the padding of the left side.
`java.lang.String` | `getPaddingRight()` Get the padding of the right side.
`java.lang.String` | `getPaddingTop()` Get the padding of the top side.
`java.lang.String` | `getPageBreakAfter()` Returns the page break after property for block-level elements.
`java.lang.String` | `getPageBreakBefore()` Returns the page break before property for block-level elements.
`java.lang.String` | `getPageBreakInside()` Returns the page break inside property for block-level elements.
`boolean` | `getShowIfBlank()` Tests whether to show this frame even if it is empty, or all its data elements are empty.
`java.lang.String` | `getStringFormat()` Returns the pattern of a string format.
`java.lang.String` | `getStringFormatCategory()` Returns the category of a string format.
`java.lang.String` | `getTextAlign()` Returns the text align for block-level elements.
`java.lang.String` | `getTextIndent()` Get the text indent.
`java.lang.String` | `getTextLineThrough()` Returns one 'text-decoration' property to set line-through styles.
`java.lang.String` | `getTextOverline()` Returns one 'text-decoration' property to set overline styles.
`java.lang.String` | `getTextTransform()` Returns the value to transform the text.
`java.lang.String` | `getTextUnderline()` Returns one 'text-decoration' property to set underline styles.
`java.lang.String` | `getVerticalAlign()` Returns the value of the vertical align property for inline elements.
`java.lang.String` | `getWhiteSpace()` Returns the white space for block elements.
`java.lang.String` | `getWidows()` Returns the value of widows.
`java.lang.String` | `getWordSpacing()` Get the spacing between two words.
`void` | `setBackgroundAttachment(java.lang.String value)` Sets the background attachment.
`void` | `setBackgroundColor(java.lang.String color)` Set the background color.
`void` | `setBackgroundImage(java.lang.String value)` Sets the address of the background image.
`void` | `setBackGroundPositionX(java.lang.String x)` Set the x position for the background.
`void` | `setBackGroundPositionY(java.lang.String y)` Set the y position for the background.
`void` | `setBackgroundRepeat(java.lang.String value)` Sets the repeat pattern for a background image.
`void` | `setBorderBottomColor(java.lang.String color)` Set the color of the bottom side of the border.
`void` | `setBorderBottomStyle(java.lang.String value)` Sets the style of the bottom line of the border.
`void` | `setBorderBottomWidth(java.lang.String width)` Set the width of the bottom side of the border.
`void` | `setBorderLeftColor(java.lang.String color)` Set the color of the left side of the border.
`void` | `setBorderLeftStyle(java.lang.String value)` Sets the style of the left line of the border.
`void` | `setBorderLeftWidth(java.lang.String width)` Set the width of left side of the border.
`void` | `setBorderRightColor(java.lang.String color)` Set the color of the right side of the border.
`void` | `setBorderRightStyle(java.lang.String value)` Sets the style of the right line of the border.
`void` | `setBorderRightWidth(java.lang.String width)` Set the width of the right side of the border.
`void` | `setBorderTopColor(java.lang.String color)` Set the color of the top side of the border.
`void` | `setBorderTopStyle(java.lang.String value)` Sets the style of the top line of the border.
`void` | `setBorderTopWidth(java.lang.String width)` Set the width of the top side of the border.
`void` | `setCanShrink(boolean value)` Sets whether the section can shrink if the actual content is smaller than the design size.
`void` | `setColor(java.lang.String color)` Set the font color.
`void` | `setDateTimeFormat(java.lang.String pattern)` Sets the pattern of a date time format for a highlight rule.
`void` | `setDateTimeFormatCategory(java.lang.String pattern)` Sets the category of a number format.
`void` | `setDisplay(java.lang.String value)` Sets the value that specifies if a top-level element should be a block or in-line element.
`void` | `setFontFamily(java.lang.String fontFamily)` Set the font family.
`void` | `setFontSize(java.lang.String fontSize)` Set the font size.
`void` | `setFontStyle(java.lang.String fontStyle)` Sets the style of the font.
`void` | `setFontVariant(java.lang.String fontVariant)` Sets the variant of the font.
`void` | `setFontWeight(java.lang.String fontWeight)` Sets the weight of the font.
`void` | `setLetterSpacing(java.lang.String spacing)` Set the spacing between individual letters.
`void` | `setLineHeight(java.lang.String height)` Set the height of a line.
`void` | `setMarginBottom(java.lang.String margin)` Set the margin of the bottom side.
`void` | `setMarginLeft(java.lang.String margin)` Set the margin of the left side.
`void` | `setMarginRight(java.lang.String margin)` Set the margin of the right side.
`void` | `setMarginTop(java.lang.String margin)` Set the margin of the top side.
`void` | `setMasterPage(java.lang.String value)` Sets the master page name on which to start this section.
`void` | `setNumberFormat(java.lang.String pattern)` Sets the pattern of a number format.
`void` | `setNumberFormatCategory(java.lang.String category)` Sets the category of a number format for a highlight rule.
`void` | `setOrphans(java.lang.String value)` Sets the orphans property.
`void` | `setPaddingBottom(java.lang.String padding)` Set the padding of the bottom side.
`void` | `setPaddingLeft(java.lang.String padding)` Set the padding of the left side.
`void` | `setPaddingRight(java.lang.String padding)` Set the padding of the right side.
`void` | `setPaddingTop(java.lang.String padding)` Set the padding of the top side.
`void` | `setPageBreakAfter(java.lang.String value)` Sets the page break after property for block-level elements.
`void` | `setPageBreakBefore(java.lang.String value)` Sets the page break before property for block-level elements.
`void` | `setPageBreakInside(java.lang.String value)` Sets the page break inside property for block-level elements.
`void` | `setShowIfBlank(boolean value)` Sets whether to show this frame even if it is empty, or all its data elements are empty.
`void` | `setStringFormat(java.lang.String pattern)` Sets the pattern of a string format.
`void` | `setStringFormatCategory(java.lang.String pattern)` Sets the category of a string format.
`void` | `setTextAlign(java.lang.String value)` Sets the text align for block-level elements.
`void` | `setTextIndent(java.lang.String indent)` Set the text indent.
`void` | `setTextLineThrough(java.lang.String value)` Sets one 'text-decoration' property to set line-through styles.
`void` | `setTextOverline(java.lang.String value)` Sets one 'text-decoration' property to set overline styles.
`void` | `setTextTransform(java.lang.String value)` Sets the value used to transform the text.
`void` | `setTextUnderline(java.lang.String value)` Sets one 'text-decoration' property to set underline styles.
`void` | `setVerticalAlign(java.lang.String value)` Sets the value of the vertical align property for inline elements.
`void` | `setWhiteSpace(java.lang.String value)` Sets the white space property for block elements.
`void` | `setWidows(java.lang.String value)` Sets the widows property.
`void` | `setWordSpacing(java.lang.String spacing)` Set the spacing between two words.

Method Detail

### getBackgroundAttachment

    java.lang.String getBackgroundAttachment()

  Returns a background attachment as a string. The return value is defined in `DesignChoiceConstants` and can be one of:
  - BACKGROUND_ATTACHMENT_SCROLL
  - BACKGROUND_ATTACHMENT_FIXED

  Returns:
    the background attachment

### setBackgroundAttachment

    void setBackgroundAttachment(java.lang.String value)
                                 throws ScriptException

  Sets the background attachment. The return value is defined in `DesignChoiceConstants` and can be one of:
  - BACKGROUND_ATTACHMENT_SCROLL
  - BACKGROUND_ATTACHMENT_FIXED

  Parameters:
    `value` - the new background attachment
  Throws:
    `ScriptException` - if the value is not one of the above.

### getBackgroundImage

    java.lang.String getBackgroundImage()

  Returns the address of the background image.

  Returns:
    the address of the background image as a string

### setBackgroundImage

    void setBackgroundImage(java.lang.String value)
                            throws ScriptException

  Sets the address of the background image. The value is a URL as a string.

  Parameters:
    `value` - the new background image address
  Throws:
    `ScriptException` - if the property is locked

### getBackgroundRepeat

    java.lang.String getBackgroundRepeat()

  Returns the pattern of the repeat for a background image. The return value is defined in `DesignChoiceConstants` and can be one of:
  - BACKGROUND_REPEAT_REPEAT
  - BACKGROUND_REPEAT_REPEAT_X
  - BACKGROUND_REPEAT_REPEAT_Y
  - BACKGROUND_REPEAT_NO_REPEAT

  Returns:
    the repeat pattern

### setBackgroundRepeat

    void setBackgroundRepeat(java.lang.String value)
                             throws ScriptException

  Sets the repeat pattern for a background image. The input value is defined in `DesignChoiceConstants` and can be one of:
  - BACKGROUND_REPEAT_REPEAT
  - BACKGROUND_REPEAT_REPEAT_X
  - BACKGROUND_REPEAT_REPEAT_Y
  - BACKGROUND_REPEAT_NO_REPEAT

  Parameters:
    `value` - the new repeat pattern
  Throws:
    `ScriptException` - if the value is not one of the above.

### getBorderBottomStyle

    java.lang.String getBorderBottomStyle()

  Returns the style of the bottom line of the border. The return value is defined in `DesignChoiceConstants` and can be one of:
  - `LINE_STYLE_NONE`
  - `LINE_STYLE_SOLID`
  - `LINE_STYLE_DOTTED`
  - `LINE_STYLE_DASHED`
  - `LINE_STYLE_DOUBLE`
  - `LINE_STYLE_GROOVE`
  - `LINE_STYLE_RIDGE`
  - `LINE_STYLE_INSET`
  - `LINE_STYLE_OUTSET`

  Returns:
    the style of the bottom line

### setBorderBottomStyle

    void setBorderBottomStyle(java.lang.String value)
                              throws ScriptException

  Sets the style of the bottom line of the border. The input value is defined in `DesignChoiceConstants` and can be one of:
  - `LINE_STYLE_NONE`
  - `LINE_STYLE_SOLID`
  - `LINE_STYLE_DOTTED`
  - `LINE_STYLE_DASHED`
  - `LINE_STYLE_DOUBLE`
  - `LINE_STYLE_GROOVE`
  - `LINE_STYLE_RIDGE`
  - `LINE_STYLE_INSET`
  - `LINE_STYLE_OUTSET`

  Parameters:
    `value` - the new style of the bottom line
  Throws:
    `ScriptException` - if the value is not one of the above.

### getBorderLeftStyle

    java.lang.String getBorderLeftStyle()

  Returns the style of the left line of the border. The return value is defined in `DesignChoiceConstants` and can be one of:
  - `LINE_STYLE_NONE`
  - `LINE_STYLE_SOLID`
  - `LINE_STYLE_DOTTED`
  - `LINE_STYLE_DASHED`
  - `LINE_STYLE_DOUBLE`
  - `LINE_STYLE_GROOVE`
  - `LINE_STYLE_RIDGE`
  - `LINE_STYLE_INSET`
  - `LINE_STYLE_OUTSET`

  Returns:
    the style of the left line

### setBorderLeftStyle

    void setBorderLeftStyle(java.lang.String value)
                            throws ScriptException

  Sets the style of the left line of the border. The input value is defined in `DesignChoiceConstants` and can be one of:
  - `LINE_STYLE_NONE`
  - `LINE_STYLE_SOLID`
  - `LINE_STYLE_DOTTED`
  - `LINE_STYLE_DASHED`
  - `LINE_STYLE_DOUBLE`
  - `LINE_STYLE_GROOVE`
  - `LINE_STYLE_RIDGE`
  - `LINE_STYLE_INSET`
  - `LINE_STYLE_OUTSET`

  Parameters:
    `value` - the new style of the left line
  Throws:
    `ScriptException` - if the value is not one of the above.

### getBorderRightStyle

    java.lang.String getBorderRightStyle()

  Returns the style of the right line of the border. The return value is defined in `DesignChoiceConstants` and can be one of:
  - `LINE_STYLE_NONE`
  - `LINE_STYLE_SOLID`
  - `LINE_STYLE_DOTTED`
  - `LINE_STYLE_DASHED`
  - `LINE_STYLE_DOUBLE`
  - `LINE_STYLE_GROOVE`
  - `LINE_STYLE_RIDGE`
  - `LINE_STYLE_INSET`
  - `LINE_STYLE_OUTSET`

  Returns:
    the style of the right line

### setBorderRightStyle

    void setBorderRightStyle(java.lang.String value)
                             throws ScriptException

  Sets the style of the right line of the border. The input value is defined in `DesignChoiceConstants` and can be one of:
  - `LINE_STYLE_NONE`
  - `LINE_STYLE_SOLID`
  - `LINE_STYLE_DOTTED`
  - `LINE_STYLE_DASHED`
  - `LINE_STYLE_DOUBLE`
  - `LINE_STYLE_GROOVE`
  - `LINE_STYLE_RIDGE`
  - `LINE_STYLE_INSET`
  - `LINE_STYLE_OUTSET`

  Parameters:
    `value` - the new style of the right line
  Throws:
    `ScriptException` - if the value is not one of the above.

### getBorderTopStyle

    java.lang.String getBorderTopStyle()

  Returns the style of the top line of the border. The return value is defined in `DesignChoiceConstants` and can be one of:
  - `LINE_STYLE_NONE`
  - `LINE_STYLE_SOLID`
  - `LINE_STYLE_DOTTED`
  - `LINE_STYLE_DASHED`
  - `LINE_STYLE_DOUBLE`
  - `LINE_STYLE_GROOVE`
  - `LINE_STYLE_RIDGE`
  - `LINE_STYLE_INSET`
  - `LINE_STYLE_OUTSET`

  Returns:
    the style of the top line

### setBorderTopStyle

    void setBorderTopStyle(java.lang.String value)
                           throws ScriptException

  Sets the style of the top line of the border. The input value is defined in `DesignChoiceConstants` and can be one of:
  - `LINE_STYLE_NONE`
  - `LINE_STYLE_SOLID`
  - `LINE_STYLE_DOTTED`
  - `LINE_STYLE_DASHED`
  - `LINE_STYLE_DOUBLE`
  - `LINE_STYLE_GROOVE`
  - `LINE_STYLE_RIDGE`
  - `LINE_STYLE_INSET`
  - `LINE_STYLE_OUTSET`

  Parameters:
    `value` - the new style of the right line
  Throws:
    `ScriptException` - if the value is not one of the above.

### canShrink

    boolean canShrink()

  Tests whether the section can shrink if the actual content is smaller than the design size.

  Returns:
    `true` if can shrink, otherwise `false`
  See Also:
    `setCanShrink(boolean)`

### setCanShrink

    void setCanShrink(boolean value)
                      throws ScriptException

  Sets whether the section can shrink if the actual content is smaller than the design size.

  Parameters:
    `value` - `true` if can shrink, `false` not.
  Throws:
    `ScriptException` - if the property is locked
  See Also:
    `canShrink()`

### getStringFormat

    java.lang.String getStringFormat()

  Returns the pattern of a string format.

  Returns:
    the pattern of a string format

### setStringFormat

    void setStringFormat(java.lang.String pattern)
                         throws ScriptException

  Sets the pattern of a string format.

  Parameters:
    `pattern` - the pattern of a string forma
  Throws:
    `ScriptException` - if the property is locked

### getStringFormatCategory

    java.lang.String getStringFormatCategory()

  Returns the category of a string format.

  Returns:
    the category of a string format

### setStringFormatCategory

    void setStringFormatCategory(java.lang.String pattern)
                                 throws ScriptException

  Sets the category of a string format. The `pattern` can be one of:
  - `DesignChoiceConstants.STRING_FORMAT_TYPE_UNFORMATTED`
  - `DesignChoiceConstants.STRING_FORMAT_TYPE_UPPERCASE`
  - `DesignChoiceConstants.STRING_FORMAT_TYPE_LOWERCASE`
  - `DesignChoiceConstants.STRING_FORMAT_TYPE_CUSTOM`
  - `DesignChoiceConstants.STRING_FORMAT_TYPE_ZIP_CODE`
  - `DesignChoiceConstants.STRING_FORMAT_TYPE_ZIP_CODE_4`
  - `DesignChoiceConstants.STRING_FORMAT_TYPE_PHONE_NUMBER`
  - `DesignChoiceConstants.STRING_FORMAT_TYPE_SOCIAL_SECURITY_NUMBER`

  Parameters:
    `pattern` - the category of a string format
  Throws:
    `ScriptException` - if `pattern` is not one of the above values.

### getNumberFormat

    java.lang.String getNumberFormat()

  Returns the pattern of a number format for a style.

  Returns:
    the pattern of a number format

### setNumberFormat

    void setNumberFormat(java.lang.String pattern)
                         throws ScriptException

  Sets the pattern of a number format.

  Parameters:
    `pattern` - the pattern of a number format
  Throws:
    `ScriptException` - if the property is locked

### getNumberFormatCategory

    java.lang.String getNumberFormatCategory()

  Returns the category of a number format for a style.

  Returns:
    the category of a number format

### setNumberFormatCategory

    void setNumberFormatCategory(java.lang.String category)
                                 throws ScriptException

  Sets the category of a number format for a highlight rule. The `pattern` can be one of:
  - `DesignChoiceConstants.NUMBER_FORMAT_TYPE_UNFORMATTED`
  - `DesignChoiceConstants.NUMBER_FORMAT_TYPE_GENERAL_NUMBER`
  - `DesignChoiceConstants.NUMBER_FORMAT_TYPE_CURRENCY`
  - `DesignChoiceConstants.NUMBER_FORMAT_TYPE_FIXED`
  - `DesignChoiceConstants.NUMBER_FORMAT_TYPE_PERCENT`
  - `DesignChoiceConstants.NUMBER_FORMAT_TYPE_SCIENTIFIC`
  - `DesignChoiceConstants.NUMBER_FORMAT_TYPE_STANDARD`
  - `DesignChoiceConstants.NUMBER_FORMAT_TYPE_CUSTOM`

  Parameters:
    `category` - the category of a number format
  Throws:
    `ScriptException` - if `category` is not one of the above values.

### getDateTimeFormat

    java.lang.String getDateTimeFormat()

  Returns the pattern of the date-time-format.

  Returns:
    the pattern of the date-time-format

### setDateTimeFormat

    void setDateTimeFormat(java.lang.String pattern)
                           throws ScriptException

  Sets the pattern of a date time format for a highlight rule.

  Parameters:
    `pattern` - the pattern of a date time format
  Throws:
    `ScriptException` - if the property is locked

### getDateTimeFormatCategory

    java.lang.String getDateTimeFormatCategory()

  Returns the category of the date-time-format.

  Returns:
    the category of the date-time-format

### setDateTimeFormatCategory

    void setDateTimeFormatCategory(java.lang.String pattern)
                                   throws ScriptException

  Sets the category of a number format. The `pattern` can be one of:
  - `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_UNFORMATTED`
  - `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_GENERAL_DATE`
  - `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_LONG_DATE`
  - `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_MUDIUM_DATE`
  - `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_SHORT_DATE`
  - `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_LONG_TIME`
  - `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_MEDIUM_TIME`
  - `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_SHORT_TIME`
  - `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_CUSTOM`

  Parameters:
    `pattern` - the category of a date-time format
  Throws:
    `ScriptException` - if `pattern` is not one of the above values.

### getDisplay

    java.lang.String getDisplay()

  Returns the value that specifies if a top-level element should be a block or in-line element. The input value is defined in `DesignChoiceConstants` and can be one of:
  - `DISPLAY_NONE`
  - `DISPLAY_INLINE`
  - `DISPLAY_BLOCK`

  Returns:
    the display value as a string

### setDisplay

    void setDisplay(java.lang.String value)
                    throws ScriptException

  Sets the value that specifies if a top-level element should be a block or in-line element. The input value is defined in `DesignChoiceConstants` and can be one of:
  - `DISPLAY_NONE`
  - `DISPLAY_INLINE`
  - `DISPLAY_BLOCK`

  Parameters:
    `value` - the new display value
  Throws:
    `ScriptException` - if the value is not one of the above.

### getMasterPage

    java.lang.String getMasterPage()

  Returns the name of the master page on which to start this section.

  Returns:
    the master page name
  See Also:
    `setMasterPage(String)`

### setMasterPage

    void setMasterPage(java.lang.String value)
                       throws ScriptException

  Sets the master page name on which to start this section. If blank, the normal page sequence is used. If defined, the section starts on a new page, and the master page is the one defined here. The subsequent pages are those defined by the report��s page sequence.

  Parameters:
    `value` - the new master page name
  Throws:
    `ScriptException` - if the property is locked
  See Also:
    `getMasterPage()`

### getOrphans

    java.lang.String getOrphans()

  Returns the value of orphans. The return value is either an integer as as string or one of constants defined in `DesignChoiceConstants`:
  - `ORPHANS_INHERIT`

  Returns:
    the orphans property
  See Also:
    `setOrphans(String)`

### setOrphans

    void setOrphans(java.lang.String value)
                    throws ScriptException

  Sets the orphans property. A orphan occurs if the first line of a multi-line paragraph appears on its own at the bottom of a page due to a page break. The input value is either an integer as as string or one of constants defined in `DesignChoiceConstants`:
  - `ORPHANS_INHERIT`

  Parameters:
    `value` - the new orphans property
  Throws:
    `ScriptException` - if the value is not an integer or one of the above constants.
  See Also:
    `getOrphans()`

### getPageBreakAfter

    java.lang.String getPageBreakAfter()

  Returns the page break after property for block-level elements. The return value is one of constants defined in `DesignChoiceConstants`:
  - `PAGE_BREAK_AUTO`
  - `PAGE_BREAK_ALWAYS`
  - `PAGE_BREAK_AVOID`
  - `PAGE_BREAK_LEFT`
  - `PAGE_BREAK_RIGHT`
  - `PAGE_BREAK_INHERIT`

  Returns:
    the page break after property

### setPageBreakAfter

    void setPageBreakAfter(java.lang.String value)
                           throws ScriptException

  Sets the page break after property for block-level elements. The input value is one of constants defined in `DesignChoiceConstants`:
  - `PAGE_BREAK_AUTO`
  - `PAGE_BREAK_ALWAYS`
  - `PAGE_BREAK_AVOID`
  - `PAGE_BREAK_LEFT`
  - `PAGE_BREAK_RIGHT`
  - `PAGE_BREAK_INHERIT`

  Parameters:
    `value` - the new page break after property
  Throws:
    `ScriptException` - if the value is not pre-defined.

### getPageBreakBefore

    java.lang.String getPageBreakBefore()

  Returns the page break before property for block-level elements. The return value is one of constants defined in `DesignChoiceConstants`:
  - `PAGE_BREAK_AUTO`
  - `PAGE_BREAK_ALWAYS`
  - `PAGE_BREAK_AVOID`
  - `PAGE_BREAK_LEFT`
  - `PAGE_BREAK_RIGHT`
  - `PAGE_BREAK_INHERIT`

  Returns:
    the page break before property

### setPageBreakBefore

    void setPageBreakBefore(java.lang.String value)
                            throws ScriptException

  Sets the page break before property for block-level elements. The return value is one of constants defined in `DesignChoiceConstants`:
  - `PAGE_BREAK_AUTO`
  - `PAGE_BREAK_ALWAYS`
  - `PAGE_BREAK_AVOID`
  - `PAGE_BREAK_LEFT`
  - `PAGE_BREAK_RIGHT`
  - `PAGE_BREAK_INHERIT`

  Parameters:
    `value` - the new page break before property
  Throws:
    `ScriptException` - if the value is not one of the above.

### getPageBreakInside

    java.lang.String getPageBreakInside()

  Returns the page break inside property for block-level elements. The return value is one of constants defined in `DesignChoiceConstants`:
  - `PAGEBREAK_INSIDE_AVOID`
  - `PAGEBREAK_INSIDE_AUTO`
  - `PAGEBREAK_INSIDE_INHERIT`

  Returns:
    the page break inside property

### setPageBreakInside

    void setPageBreakInside(java.lang.String value)
                            throws ScriptException

  Sets the page break inside property for block-level elements. The input value is one of constants defined in `DesignChoiceConstants`:
  - `PAGEBREAK_INSIDE_AVOID`
  - `PAGEBREAK_INSIDE_AUTO`
  - `PAGEBREAK_INSIDE_INHERIT`

  Parameters:
    `value` - the new page break inside property
  Throws:
    `ScriptException` - if the value is not one of the above.

### getShowIfBlank

    boolean getShowIfBlank()

  Tests whether to show this frame even if it is empty, or all its data elements are empty. If `false`, the section is automatically hidden when empty.

  Returns:
    `true` if show-if-blank, otherwise `false`
  See Also:
    `setShowIfBlank(boolean)`

### setShowIfBlank

    void setShowIfBlank(boolean value)
                        throws ScriptException

  Sets whether to show this frame even if it is empty, or all its data elements are empty.

  Parameters:
    `value` - `true` if show the frame. `false` not.
  Throws:
    `ScriptException` - if the property is locked
  See Also:
    `getShowIfBlank()`

### getTextUnderline

    java.lang.String getTextUnderline()

  Returns one 'text-decoration' property to set underline styles. The return value is one of constants defined in `DesignChoiceConstants`:
  - `TEXT_UNDERLINE_NONE`
  - `TEXT_UNDERLINE_UNDERLINE`

  Returns:
    the text underline value

### setTextUnderline

    void setTextUnderline(java.lang.String value)
                          throws ScriptException

  Sets one 'text-decoration' property to set underline styles. The input value is one of constants defined in `DesignChoiceConstants`:
  - `TEXT_UNDERLINE_NONE`
  - `TEXT_UNDERLINE_UNDERLINE`

  Parameters:
    `value` - the new text underline
  Throws:
    `ScriptException` - if the value is not pre-defined.

### getTextOverline

    java.lang.String getTextOverline()

  Returns one 'text-decoration' property to set overline styles. The return value is one of constants defined in `DesignChoiceConstants`:
  - `TEXT_OVERLINE_NONE`
  - `TEXT_OVERLINE_OVERLINE`

  Returns:
    the text overline value

### setTextOverline

    void setTextOverline(java.lang.String value)
                         throws ScriptException

  Sets one 'text-decoration' property to set overline styles. The input value is one of constants defined in `DesignChoiceConstants`:
  - `TEXT_OVERLINE_NONE`
  - `TEXT_OVERLINE_OVERLINE`

  Parameters:
    `value` - the new text overline value
  Throws:
    `ScriptException` - if the value is not one of the above.

### getTextLineThrough

    java.lang.String getTextLineThrough()

  Returns one 'text-decoration' property to set line-through styles. The return value is one of constants defined in `DesignChoiceConstants`:
  - `TEXT_LINE_THROUGH_NONE`
  - `TEXT_LINE_THROUGH_LINE_THROUGH`

  Returns:
    the text line-through value

### setTextLineThrough

    void setTextLineThrough(java.lang.String value)
                            throws ScriptException

  Sets one 'text-decoration' property to set line-through styles. The input value is one of constants defined in `DesignChoiceConstants`:
  - `TEXT_LINE_THROUGH_NONE`
  - `TEXT_LINE_THROUGH_LINE_THROUGH`

  Parameters:
    `value` - the new text line-through value
  Throws:
    `ScriptException` - if the value is not one of the above.

### getTextAlign

    java.lang.String getTextAlign()

  Returns the text align for block-level elements. The return value is one of constants defined in `DesignChoiceConstants`:
  - `TEXT_ALIGN_LEFT`
  - `TEXT_ALIGN_CENTER`
  - `TEXT_ALIGN_RIGHT`
  - `TEXT_ALIGN_JUSTIFY`

  Returns:
    the text align value

### setTextAlign

    void setTextAlign(java.lang.String value)
                      throws ScriptException

  Sets the text align for block-level elements. The input value is one of constants defined in `DesignChoiceConstants`:
  - `TEXT_ALIGN_LEFT`
  - `TEXT_ALIGN_CENTER`
  - `TEXT_ALIGN_RIGHT`
  - `TEXT_ALIGN_JUSTIFY`

  Parameters:
    `value` - the new text align
  Throws:
    `ScriptException` - if the value is not one of the above.

### getTextTransform

    java.lang.String getTextTransform()

  Returns the value to transform the text. The return value is one of constants defined in `DesignChoiceConstants`:
  - `TRANSFORM_CAPITALIZE`
  - `TRANSFORM_UPPERCASE`
  - `TRANSFORM_LOWERCASE`
  - `TRANSFORM_NONE`

  Returns:
    the text transform

### setTextTransform

    void setTextTransform(java.lang.String value)
                          throws ScriptException

  Sets the value used to transform the text. The input value is one of constants defined in `DesignChoiceConstants`:
  - `TRANSFORM_CAPITALIZE`
  - `TRANSFORM_UPPERCASE`
  - `TRANSFORM_LOWERCASE`
  - `TRANSFORM_NONE`

  Parameters:
    `value` - the new text transform
  Throws:
    `ScriptException` - if the value is not one of the above.

### getVerticalAlign

    java.lang.String getVerticalAlign()

  Returns the value of the vertical align property for inline elements. The return value is defined in `DesignChoiceConstants` and can be one of:
  - VERTICAL_ALIGN_BASELINE
  - VERTICAL_ALIGN_SUB
  - VERTICAL_ALIGN_SUPER
  - VERTICAL_ALIGN_TOP
  - VERTICAL_ALIGN_TEXT_TOP
  - VERTICAL_ALIGN_MIDDLE
  - VERTICAL_ALIGN_BOTTOM
  - VERTICAL_ALIGN_TEXT_BOTTOM

  Returns:
    the value of the vertical align property

### setVerticalAlign

    void setVerticalAlign(java.lang.String value)
                          throws ScriptException

  Sets the value of the vertical align property for inline elements. The input value is defined in `DesignChoiceConstants` and can be one of:
  - VERTICAL_ALIGN_BASELINE
  - VERTICAL_ALIGN_SUB
  - VERTICAL_ALIGN_SUPER
  - VERTICAL_ALIGN_TOP
  - VERTICAL_ALIGN_TEXT_TOP
  - VERTICAL_ALIGN_MIDDLE
  - VERTICAL_ALIGN_BOTTOM
  - VERTICAL_ALIGN_TEXT_BOTTOM

  Parameters:
    `value` - the new vertical align
  Throws:
    `ScriptException` - if the value is not one of the above.

### getWhiteSpace

    java.lang.String getWhiteSpace()

  Returns the white space for block elements. The return value is defined in `DesignChoiceConstants` and can be one of:
  - `WHITE_SPACE_NORMAL`
  - `WHITE_SPACE_PRE`
  - `WHITE_SPACE_NOWRAP`

  Returns:
    the white space

### setWhiteSpace

    void setWhiteSpace(java.lang.String value)
                       throws ScriptException

  Sets the white space property for block elements. The return value is defined in `DesignChoiceConstants` and can be one of:
  - `WHITE_SPACE_NORMAL`
  - `WHITE_SPACE_PRE`
  - `WHITE_SPACE_NOWRAP`

  Parameters:
    `value` - the new white space
  Throws:
    `ScriptException` - if the value is not one of the above.

### getWidows

    java.lang.String getWidows()

  Returns the value of widows. The return value is either an integer as as string or one of constants defined in `DesignChoiceConstants`:
  - `WIDOWS_INHERIT`

  Returns:
    the widows property
  See Also:
    `setWidows(String)`

### setWidows

    void setWidows(java.lang.String value)
                   throws ScriptException

  Sets the widows property. A ��widow�� occurs when the last line of a multi-line paragraph appears on its own at the top of a page due to a page break. The input value is either an integer as as string or one of constants defined in `DesignChoiceConstants`:
  - `WIDOWS_INHERIT`

  Parameters:
    `value` - the new windows property
  Throws:
    `ScriptException` - if the value is not an integer or one of the above constants.
  See Also:
    `getWidows()`

### getColor

    java.lang.String getColor()

  Get the font color.

  Returns:
    color

### setColor

    void setColor(java.lang.String color)
                  throws ScriptException

  Set the font color.

  Parameters:
    `color` -
  Throws:
    `ScriptException`

### getBackgroundColor

    java.lang.String getBackgroundColor()

  Get the background color.

  Returns:
    background color

### setBackgroundColor

    void setBackgroundColor(java.lang.String color)
                            throws ScriptException

  Set the background color.

  Parameters:
    `color` -
  Throws:
    `ScriptException`

### getBorderTopColor

    java.lang.String getBorderTopColor()

  Get the color of the top side of the border.

  Returns:
    color of top border

### setBorderTopColor

    void setBorderTopColor(java.lang.String color)
                           throws ScriptException

  Set the color of the top side of the border.

  Parameters:
    `color` -
  Throws:
    `ScriptException`

### getBorderLeftColor

    java.lang.String getBorderLeftColor()

  Get the color of the left side of the border.

  Returns:
    color of left side of border

### setBorderLeftColor

    void setBorderLeftColor(java.lang.String color)
                            throws ScriptException

  Set the color of the left side of the border.

  Parameters:
    `color` -
  Throws:
    `ScriptException`

### getBorderRightColor

    java.lang.String getBorderRightColor()

  Get the color of the right side of the border.

  Returns:
    color of right side of border

### setBorderRightColor

    void setBorderRightColor(java.lang.String color)
                             throws ScriptException

  Set the color of the right side of the border.

  Parameters:
    `color` -
  Throws:
    `ScriptException`

### getBorderBottomColor

    java.lang.String getBorderBottomColor()

  Get the color of the bottom side of the border.

  Returns:
    color of bottom side of border

### setBorderBottomColor

    void setBorderBottomColor(java.lang.String color)
                              throws ScriptException

  Set the color of the bottom side of the border.

  Parameters:
    `color` -
  Throws:
    `ScriptException`

### getBackGroundPositionX

    java.lang.String getBackGroundPositionX()

  Get the x position for the background.

  Returns:
    x position

### setBackGroundPositionX

    void setBackGroundPositionX(java.lang.String x)
                                throws ScriptException

  Set the x position for the background.

  Parameters:
    `x` -
  Throws:
    `ScriptException`

### getBackGroundPositionY

    java.lang.String getBackGroundPositionY()

  Get the y position for the background.

  Returns:
    y position

### setBackGroundPositionY

    void setBackGroundPositionY(java.lang.String y)
                                throws ScriptException

  Set the y position for the background.

  Parameters:
    `y` -
  Throws:
    `ScriptException`

### getLetterSpacing

    java.lang.String getLetterSpacing()

  Get the spacing between individual letters.

  Returns:
    spacing

### setLetterSpacing

    void setLetterSpacing(java.lang.String spacing)
                          throws ScriptException

  Set the spacing between individual letters.

  Parameters:
    `spacing` -
  Throws:
    `ScriptException`

### getLineHeight

    java.lang.String getLineHeight()

  Get the height of a line. Implies spacing between lines.

  Returns:
    height of a line

### setLineHeight

    void setLineHeight(java.lang.String height)
                       throws ScriptException

  Set the height of a line. Implies spacing between lines.

  Parameters:
    `height` -
  Throws:
    `ScriptException`

### getTextIndent

    java.lang.String getTextIndent()

  Get the text indent.

  Returns:
    text indent

### setTextIndent

    void setTextIndent(java.lang.String indent)
                       throws ScriptException

  Set the text indent.

  Parameters:
    `indent` -
  Throws:
    `ScriptException`

### getWordSpacing

    java.lang.String getWordSpacing()

  Get the spacing between two words.

  Returns:
    spacing

### setWordSpacing

    void setWordSpacing(java.lang.String spacing)
                        throws ScriptException

  Set the spacing between two words.

  Parameters:
    `spacing` -
  Throws:
    `ScriptException`

### getBorderTopWidth

    java.lang.String getBorderTopWidth()

  Get the width of the top side of the border.

  Returns:
    width of top side of border

### setBorderTopWidth

    void setBorderTopWidth(java.lang.String width)
                           throws ScriptException

  Set the width of the top side of the border.

  Parameters:
    `width` -
  Throws:
    `ScriptException`

### getBorderLeftWidth

    java.lang.String getBorderLeftWidth()

  Get the width of left side of the border.

  Returns:
    width of left side of border

### setBorderLeftWidth

    void setBorderLeftWidth(java.lang.String width)
                            throws ScriptException

  Set the width of left side of the border.

  Parameters:
    `width` -
  Throws:
    `ScriptException`

### getBorderRightWidth

    java.lang.String getBorderRightWidth()

  Get the width of right side of the border.

  Returns:
    width of right side of border

### setBorderRightWidth

    void setBorderRightWidth(java.lang.String width)
                             throws ScriptException

  Set the width of the right side of the border.

  Parameters:
    `width` -
  Throws:
    `ScriptException`

### getBorderBottomWidth

    java.lang.String getBorderBottomWidth()

  Get the width of the bottom side of the border.

  Returns:
    width of bottom side of border

### setBorderBottomWidth

    void setBorderBottomWidth(java.lang.String width)
                              throws ScriptException

  Set the width of the bottom side of the border.

  Parameters:
    `width` -
  Throws:
    `ScriptException`

### getMarginTop

    java.lang.String getMarginTop()

  Get the margin of the top side.

  Returns:
    margin of top side.

### setMarginTop

    void setMarginTop(java.lang.String margin)
                      throws ScriptException

  Set the margin of the top side.

  Parameters:
    `margin` -
  Throws:
    `ScriptException`

### getMarginRight

    java.lang.String getMarginRight()

  Get the margin of the right side.

  Returns:
    margin of right side

### setMarginRight

    void setMarginRight(java.lang.String margin)
                        throws ScriptException

  Set the margin of the right side.

  Parameters:
    `margin` -
  Throws:
    `ScriptException`

### getMarginLeft

    java.lang.String getMarginLeft()

  Get the margin of the left side.

  Returns:
    margin of left side

### setMarginLeft

    void setMarginLeft(java.lang.String margin)
                       throws ScriptException

  Set the margin of the left side.

  Parameters:
    `margin` -
  Throws:
    `ScriptException`

### getMarginBottom

    java.lang.String getMarginBottom()

  Get the margin of the bottom side.

  Returns:
    margin of bottom side

### setMarginBottom

    void setMarginBottom(java.lang.String margin)
                         throws ScriptException

  Set the margin of the bottom side.

  Parameters:
    `margin` -
  Throws:
    `ScriptException`

### getPaddingTop

    java.lang.String getPaddingTop()

  Get the padding of the top side.

  Returns:
    padding of top side

### setPaddingTop

    void setPaddingTop(java.lang.String padding)
                       throws ScriptException

  Set the padding of the top side.

  Parameters:
    `padding` -
  Throws:
    `ScriptException`

### getPaddingRight

    java.lang.String getPaddingRight()

  Get the padding of the right side.

  Returns:
    padding of right side

### setPaddingRight

    void setPaddingRight(java.lang.String padding)
                         throws ScriptException

  Set the padding of the right side.

  Parameters:
    `padding` -
  Throws:
    `ScriptException`

### getPaddingLeft

    java.lang.String getPaddingLeft()

  Get the padding of the left side.

  Returns:
    padding of left side

### setPaddingLeft

    void setPaddingLeft(java.lang.String padding)
                        throws ScriptException

  Set the padding of the left side.

  Parameters:
    `padding` -
  Throws:
    `ScriptException`

### getPaddingBottom

    java.lang.String getPaddingBottom()

  Get the padding of the bottom side.

  Returns:
    padding of bottom side

### setPaddingBottom

    void setPaddingBottom(java.lang.String padding)
                          throws ScriptException

  Set the padding of the bottom side.

  Parameters:
    `padding` -
  Throws:
    `ScriptException`

### getFontSize

    java.lang.String getFontSize()

  Get the font size.

  Returns:
    font size

### setFontSize

    void setFontSize(java.lang.String fontSize)
                     throws ScriptException

  Set the font size.

  Parameters:
    `fontSize` -
  Throws:
    `ScriptException`

### getFontFamily

    java.lang.String getFontFamily()

  Get the font family.

  Returns:
    font family

### setFontFamily

    void setFontFamily(java.lang.String fontFamily)
                       throws ScriptException

  Set the font family.

  Parameters:
    `fontFamily` -
  Throws:
    `ScriptException`

### getFontWeight

    java.lang.String getFontWeight()

  Get the weight of the font.

  Returns:
    weight of font

### setFontWeight

    void setFontWeight(java.lang.String fontWeight)
                       throws ScriptException

  Sets the weight of the font. The input value is one of constants defined in `DesignChoiceConstants`:
  - `FONT_WEIGHT_NORMAL`
  - `FONT_WEIGHT_BOLD`
  - `FONT_WEIGHT_BOLDER`
  - `FONT_WEIGHT_LIGHTER`
  - `FONT_WEIGHT_100`
  - `FONT_WEIGHT_200`
  - `FONT_WEIGHT_300`
  - `FONT_WEIGHT_400`
  - `FONT_WEIGHT_500`
  - `FONT_WEIGHT_600`
  - `FONT_WEIGHT_700`
  - `FONT_WEIGHT_800`
  - `FONT_WEIGHT_900`

  Parameters:
    `fontWeight` - the new font weight
  Throws:
    `ScriptException` - if the input value is not one of the above.

### getFontVariant

    java.lang.String getFontVariant()

  Returns the variant of the font. The return value is one of constants defined in `DesignChoiceConstants`:
  - `FONT_VARIANT_NORMAL`
  - `FONT_VARIANT_SMALL_CAPS`

  Returns:
    the font variant in a string.

### setFontVariant

    void setFontVariant(java.lang.String fontVariant)
                        throws ScriptException

  Sets the variant of the font. The input value is one of constants defined in `DesignChoiceConstants`:
  - `FONT_VARIANT_NORMAL`
  - `FONT_VARIANT_SMALL_CAPS`

  Parameters:
    `fontVariant` - the new font variant.
  Throws:
    `ScriptException` - if the input value is not one of the above.

### getFontStyle

    java.lang.String getFontStyle()

  Returns the style of the font. The return value is one of constants defined in `DesignChoiceConstants`:
  - `FONT_STYLE_NORMAL`
  - `FONT_STYLE_ITALIC`
  - `FONT_STYLE_OBLIQUE`

  Returns:
    the font style in string.

### setFontStyle

    void setFontStyle(java.lang.String fontStyle)
                      throws ScriptException

  Sets the style of the font. The input value is one of constants defined in `DesignChoiceConstants`:
  - `FONT_STYLE_NORMAL`
  - `FONT_STYLE_ITALIC`
  - `FONT_STYLE_OBLIQUE`

  Parameters:
    `fontStyle` - the new font style.
  Throws:
    `ScriptException` - if the input value is not one of the above.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.